Bug 911926 - gnome slows down a lot -- workspace switching can take minutes
Summary: gnome slows down a lot -- workspace switching can take minutes
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-16 19:27 UTC by zingale
Modified: 2015-02-17 14:46 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 14:46:32 UTC
Type: Bug


Attachments (Terms of Use)

Description zingale 2013-02-16 19:27:31 UTC
Description of problem:

running F18 with gnome.  After a day of use, things slow down dramatically.  Just switching workspaces can take 1 or 2 minutes (whereas it is instantaneous after a clean boot).  

This can be resolved by doing Alt-F2 + r, but that operation itself takes up to 5 minutes before the shell is restarted.  Once the shell is restarted this way, things are fast again for about 1 day.


Version-Release number of selected component (if applicable):


How reproducible:

every time.  This occurs on 2 desktops and 1 laptop that I use.  Fedora 17 never had this issue.


Steps to Reproduce:
1. boot Fedora
2. use gnome for about a day
3.
  
Actual results:

operations involving switching workspaces are very slow.


Expected results:

should not be slow

Additional info:

Comment 1 Matthias Runge 2013-02-20 08:48:03 UTC
Yes, I see this too. For me, it seems to be connected with using and freeing looots of memory, after running vms, building images etc.

Very annoying.
Also: it seems just to stop screen switching via keyboard shortcuts.
When selecting running firefox on another screen via Windows and search firefox it works nearly instantly.

Comment 2 Fabian Deutsch 2013-02-20 09:48:44 UTC
I was pointed to https://bugzilla.mozilla.org/show_bug.cgi?id=735599#c29 which might be related. (Outdated mozjs)

Comment 3 Stefan Assmann 2013-04-22 14:17:55 UTC
Experiencing the same.
As a workaround I do "gnome-shell --replace &" every other day. That messes up the window positioning a bit but brings things back to speed.

Comment 4 Luca Villa 2013-05-10 14:40:27 UTC
Same here after upgrade to f18.
Alt+F2 and 'r' reverts speed back to normal but messes up my windows.

Comment 5 Fedora End Of Life 2013-12-21 11:27:26 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Stefan Assmann 2013-12-23 07:27:17 UTC
still present in f19 although the slowdown takes longer.

Comment 7 Christopher Beland 2014-12-29 18:56:47 UTC
I see a log of bug reports with similar symptoms; trying to isolate the cause and identify duplicates...

Do you see high CPU usage?  High memory usage?  Do you use Google Chrome?  Do you use the Gnome Weather extension?

Comment 8 Michal Domonkos 2015-01-06 14:06:13 UTC
Perhaps a related issue (already fixed):
bug 1027192

Comment 9 Fedora End Of Life 2015-01-09 17:41:12 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2015-02-17 14:46:32 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.